import React from 'react';
import './index.less';
import Tag from 'antd/es/tag';
const SelectedUserResult = (props) => {
    const { groupList, showSelectUser, btnUpdate, btnDetele, funDelAll, resultTitle, } = props;
    return (React.createElement("div", { className: "select-user-result-wrap" },
        React.createElement("div", { className: "select-user-result-total" },
            React.createElement("div", { className: "title" }, resultTitle),
            React.createElement("div", { className: "option" },
                btnUpdate && (React.createElement(React.Fragment, null,
                    React.createElement("img", { src: "" }),
                    React.createElement("div", { onClick: showSelectUser }, "\u4FEE\u6539"))),
                btnDetele && btnUpdate && React.createElement("div", { className: "line" }),
                btnDetele && (React.createElement(React.Fragment, null,
                    React.createElement("img", { src: "" }),
                    React.createElement("div", { onClick: funDelAll }, "\u5220\u9664"))))),
        React.createElement("div", { className: "select-user-result-detail-box" }, groupList.map((group) => {
            const { title, itemList } = group;
            // const NodeIcon = iconMap[type as IconType];
            return (React.createElement("div", { className: "select-user-result-group", key: title },
                React.createElement("div", { className: "select-user-result-group-top" },
                    React.createElement("i", { className: "select-user-result-group-top-icon" }, "\u00A0"),
                    React.createElement("span", { className: "select-user-result-group-total" },
                        title,
                        " (",
                        itemList.length,
                        ")")),
                React.createElement("div", { className: "select-user-result-group-content" }, itemList.map((item) => {
                    const { id, name } = item;
                    return (React.createElement(Tag, { className: "selected-tag", 
                        // closable
                        visible: true, key: id, title: name }, name));
                }))));
        }))));
};
export default SelectedUserResult;
