"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var antd_1 = require("antd");
// @ts-ignore
var select_ss_user_1 = __importDefault(require("select-ss-user"));
var select_user_result_1 = __importDefault(require("./select-user-result"));
var index_1 = __importDefault(require("./services/index"));
exports.default = (function (_a) {
    var onChange = _a.onChange, selectUserProps = _a.selectUserProps, _b = _a.isNotDom, isNotDom = _b === void 0 ? false : _b, others = __rest(_a, ["onChange", "selectUserProps", "isNotDom"]);
    var _c = (0, react_1.useState)([]), groupList = _c[0], setGroupList = _c[1];
    var _d = (0, react_1.useState)({}), data = _d[0], setData = _d[1];
    var _e = (0, react_1.useState)(selectUserProps === null || selectUserProps === void 0 ? void 0 : selectUserProps.selectSignature), selectSignature = _e[0], setSelectSignature = _e[1];
    var _f = others.btnText, btnText = _f === void 0 ? '选择' : _f, _g = others.btnDisiabled, btnDisiabled = _g === void 0 ? false : _g, _h = others.resultTitle, resultTitle = _h === void 0 ? '已选对象' : _h, _j = others.btnDetele, btnDetele = _j === void 0 ? false : _j, _k = others.btnUpdate, btnUpdate = _k === void 0 ? true : _k;
    (0, react_1.useEffect)(function () {
        if (selectUserProps === null || selectUserProps === void 0 ? void 0 : selectUserProps.selectSignature) {
            index_1.default
                .request("".concat(selectUserProps === null || selectUserProps === void 0 ? void 0 : selectUserProps.userOrigin, "/select/component/result?selectSignature=").concat(selectSignature), {
                method: 'GET',
            })
                .then(function (_a) {
                var data = _a.data;
                setData(data);
                setSelectSignature(selectUserProps === null || selectUserProps === void 0 ? void 0 : selectUserProps.selectSignature);
                if ((selectUserProps === null || selectUserProps === void 0 ? void 0 : selectUserProps.getCheckedNodes) &&
                    typeof (selectUserProps === null || selectUserProps === void 0 ? void 0 : selectUserProps.getCheckedNodes) === 'function') {
                    selectUserProps.getCheckedNodes(data);
                }
            });
        }
    }, [selectUserProps === null || selectUserProps === void 0 ? void 0 : selectUserProps.selectSignature]);
    (0, react_1.useEffect)(function () {
        var _a = data || {}, _b = _a.userInfoList, userInfoList = _b === void 0 ? [] : _b, _c = _a.deptInfoList, deptInfoList = _c === void 0 ? [] : _c, _d = _a.orgInfoList, orgInfoList = _d === void 0 ? [] : _d, _e = _a.groupInfoList, groupInfoList = _e === void 0 ? [] : _e, _f = _a.tagInfoList, tagInfoList = _f === void 0 ? [] : _f, _g = _a.equipmentInfoList, equipmentInfoList = _g === void 0 ? [] : _g, _h = _a.tvInfoList, tvInfoList = _h === void 0 ? [] : _h, _j = _a.orgRelInfoList, orgRelInfoList = _j === void 0 ? [] : _j;
        var selectPaneProps = selectUserProps.selectPaneProps;
        var groupList = [];
        if (equipmentInfoList === null || equipmentInfoList === void 0 ? void 0 : equipmentInfoList.length) {
            var equipmentItem = {
                title: '设备',
                type: 'EQUIPMENT',
                itemList: equipmentInfoList,
            };
            groupList.push(equipmentItem);
        }
        if (tvInfoList === null || tvInfoList === void 0 ? void 0 : tvInfoList.length) {
            var tvItem = {
                title: '设备',
                type: 'TV',
                itemList: tvInfoList,
            };
            groupList.push(tvItem);
        }
        if (userInfoList === null || userInfoList === void 0 ? void 0 : userInfoList.length) {
            var groupItem = {
                title: '人员',
                type: 'USER',
                itemList: userInfoList,
            };
            groupList.push(groupItem);
        }
        if (deptInfoList === null || deptInfoList === void 0 ? void 0 : deptInfoList.length) {
            var groupItem = __assign({ title: '部门', type: 'DEPT', itemList: deptInfoList }, selectPaneProps === null || selectPaneProps === void 0 ? void 0 : selectPaneProps.dept);
            groupList.push(groupItem);
        }
        if (orgInfoList === null || orgInfoList === void 0 ? void 0 : orgInfoList.length) {
            var orgItem = {
                title: '组织',
                type: 'ORG',
                itemList: orgInfoList,
            };
            groupList.push(orgItem);
        }
        if (groupInfoList === null || groupInfoList === void 0 ? void 0 : groupInfoList.length) {
            var groupItem = {
                title: '居民群',
                type: 'GROUP',
                itemList: groupInfoList,
            };
            groupList.push(groupItem);
        }
        if (tagInfoList === null || tagInfoList === void 0 ? void 0 : tagInfoList.length) {
            var groupItem = {
                title: '标签',
                type: 'TAG',
                itemList: tagInfoList,
            };
            groupList.push(groupItem);
        }
        if (orgRelInfoList === null || orgRelInfoList === void 0 ? void 0 : orgRelInfoList.length) {
            var schoolList = orgRelInfoList === null || orgRelInfoList === void 0 ? void 0 : orgRelInfoList.filter(function (parameter) { return (parameter === null || parameter === void 0 ? void 0 : parameter.nodeType) === 'SCHOOL'; });
            if ((schoolList === null || schoolList === void 0 ? void 0 : schoolList.length) > 0) {
                var orgRelSchoolItem = {
                    title: '已选学校',
                    type: 'SCHOOL',
                    unit: '组',
                    count: schoolList.length || 0,
                    itemList: schoolList,
                };
                groupList.push(orgRelSchoolItem);
            }
            var regulatoryList = orgRelInfoList === null || orgRelInfoList === void 0 ? void 0 : orgRelInfoList.filter(function (parameter) { return (parameter === null || parameter === void 0 ? void 0 : parameter.nodeType) === 'REGULATORY'; });
            if ((regulatoryList === null || regulatoryList === void 0 ? void 0 : regulatoryList.length) > 0) {
                var orgRelRegulatoryItem = {
                    title: '已选教育局及下属学校',
                    type: 'REGULATORY',
                    unit: '组',
                    count: regulatoryList.length || 0,
                    itemList: regulatoryList,
                };
                groupList.push(orgRelRegulatoryItem);
            }
        }
        setGroupList(groupList);
    }, [data]);
    var funDelAll = (0, react_1.useCallback)(function () {
        // 需要展示删除时才初始化删除相关函数
        if (btnDetele) {
            var emptyData = {
                userInfoList: [],
                deptInfoList: [],
                orgInfoList: [],
                groupInfoList: [],
                tagInfoList: [],
                orgRelInfoList: [],
                equipmentInfoList: [],
                tvInfoList: [],
            };
            setData(__assign(__assign({}, data), emptyData));
            onChange(__assign(__assign({}, data), emptyData));
        }
    }, [selectSignature, data]);
    // 获取选择结果人员及部门数
    var selectCountPriops = {
        visible: false,
        strictUser: false,
        userOrigin: selectUserProps === null || selectUserProps === void 0 ? void 0 : selectUserProps.userOrigin,
        getTotalCount: function (data) {
            if (typeof (selectUserProps === null || selectUserProps === void 0 ? void 0 : selectUserProps.getTotalCount) === 'function') {
                selectUserProps.getTotalCount(data);
            }
        },
        selectSignature: selectSignature,
        onOk: function () { },
    };
    var showSelectUser = (0, react_1.useCallback)(function () {
        select_ss_user_1.default.show(__assign(__assign({}, selectUserProps), { selectSignature: selectSignature, onOk: function (val) {
                setSelectSignature(val === null || val === void 0 ? void 0 : val.selectSignature);
                setData(val);
                onChange(val);
            } }));
    }, [selectSignature, data]);
    // 调用时若在预览模式isNotDom传入true则不渲染dom
    if (isNotDom) {
        return null;
    }
    console.log(groupList, 'groupList');
    return (react_1.default.createElement("div", { className: "select-result" },
        (groupList === null || groupList === void 0 ? void 0 : groupList.length) ? (react_1.default.createElement("div", { className: "select-pane-wrap" },
            react_1.default.createElement(select_user_result_1.default, { groupList: groupList, showSelectUser: showSelectUser, funDelAll: funDelAll, btnDetele: btnDetele, btnUpdate: btnUpdate, resultTitle: resultTitle }))) : (react_1.default.createElement(antd_1.Button, { onClick: showSelectUser, disabled: btnDisiabled }, btnText)),
        react_1.default.createElement(select_ss_user_1.default, __assign({}, selectCountPriops, { basePath: "pc" }))));
});
