"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
require("./index.less");
var tag_1 = __importDefault(require("antd/es/tag"));
var SelectedUserResult = function (props) {
    var groupList = props.groupList, showSelectUser = props.showSelectUser, btnUpdate = props.btnUpdate, btnDetele = props.btnDetele, funDelAll = props.funDelAll, resultTitle = props.resultTitle;
    return (react_1.default.createElement("div", { className: "select-user-result-wrap" },
        react_1.default.createElement("div", { className: "select-user-result-total" },
            react_1.default.createElement("div", { className: "title" }, resultTitle),
            react_1.default.createElement("div", { className: "option" },
                btnUpdate && (react_1.default.createElement(react_1.default.Fragment, null,
                    react_1.default.createElement("img", { src: "" }),
                    react_1.default.createElement("div", { onClick: showSelectUser }, "\u4FEE\u6539"))),
                btnDetele && btnUpdate && react_1.default.createElement("div", { className: "line" }),
                btnDetele && (react_1.default.createElement(react_1.default.Fragment, null,
                    react_1.default.createElement("img", { src: "" }),
                    react_1.default.createElement("div", { onClick: funDelAll }, "\u5220\u9664"))))),
        react_1.default.createElement("div", { className: "select-user-result-detail-box" }, groupList.map(function (group) {
            var title = group.title, itemList = group.itemList;
            // const NodeIcon = iconMap[type as IconType];
            return (react_1.default.createElement("div", { className: "select-user-result-group", key: title },
                react_1.default.createElement("div", { className: "select-user-result-group-top" },
                    react_1.default.createElement("i", { className: "select-user-result-group-top-icon" }, "\u00A0"),
                    react_1.default.createElement("span", { className: "select-user-result-group-total" },
                        title,
                        " (",
                        itemList.length,
                        ")")),
                react_1.default.createElement("div", { className: "select-user-result-group-content" }, itemList.map(function (item) {
                    var id = item.id, name = item.name;
                    return (react_1.default.createElement(tag_1.default, { className: "selected-tag", 
                        // closable
                        visible: true, key: id, title: name }, name));
                }))));
        }))));
};
exports.default = SelectedUserResult;
